---
title: "Update integration configuration"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Integrations

`PUT /api/integrations/{integrationId}/update`

## Code samples

### cURL

```bash
curl --request PUT \
  --url https://api.channelautomation.com/api/integrations/%7BintegrationId%7D/update
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/integrations/%7BintegrationId%7D/update';
const options = {method: 'PUT'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/integrations/%7BintegrationId%7D/update"

response = requests.put(url)

print(response.text)
```


Source: https://developer.channelautomations.com/api/put-api-integrations-integration-id-update/index.md
